// mixins library
@import "mixins.scss";
//
// Variables
// --------------------------------------------------
$white: #ffffff;
$black: #000000;
// Grays
// -------------------------
// $gray-darker: lighten(#000, 13.5%); // #222
// $gray-dark: lighten(#000, 20%); // #333
// $gray: lighten(#000, 33.5%); // #555
// $gray-light: lighten(#000, 60%); // #999
// $gray-lighter: lighten(#000, 93.5%); // #eee
$grey-dark: #191919;
$grey-light: #f8f8f8;
//
// corporate colors
// -------------------------
$ocean-blue: #0855a0;
$orange: #f3a530;
//
// Section colors
// -------------------------
$variant-blue: rgba(8, 85, 160, 0.05);
$code-green: #21a870;
$code-orange: $orange;
//
// generic variables
// -------------------------
$body-bg: $grey-light;
$text-color: #26292e;
$link-color: $ocean-blue;
//
// Styles
// -------------------------
%header-title {
  color: $white;
  font-family: "open-semibold";
  @include font-size(3);
  line-height: 40px;
  margin: 0 0 10px;
  text-align: center;
  @media only screen and (max-width: 1023px) {
  }
  @media only screen and (max-width: 767px) {
    @include font-size(2);
    line-height: 28px;
  }
}

%header-subtitle {
  color: $white;
  font-family: "semibold";
  @include font-size(2);
  line-height: 26px;
  margin: 0;
  text-align: center;
  @media only screen and (max-width: 1023px) {
  }
  @media only screen and (max-width: 767px) {
    @include font-size(1.6);
    line-height: 20px;
    padding: 0 30px;
  }
}

%footer-boxes-title {
  color: $grey-dark;
  font-family: "open-semibold";
  @include font-size(3);
  line-height: 40px;
  margin: 0;
  padding: 40px 0 30px;
  text-align: center;
  @media only screen and (max-width: 1023px) {
  }
  @media only screen and (max-width: 767px) {
    @include font-size(2);
    line-height: 28px;
    padding: 20px 0 15px;
  }
}

%page-title {
  color: $grey-dark;
  font-family: "semibold";
  @include font-size(3);
  line-height: 34px;
  margin: 0 auto 14px;
  padding: 0;
}

%section-title {
  color: $grey-dark;
  font-family: "semibold";
  @include font-size(2);
  line-height: 24px;
  margin: 20px 0;
  padding: 0;
}

%content {
  color: $grey-dark;
  font-family: "regular";
  @include font-size(1.4);
  line-height: 22px;
}

%footer-boxes {
  &_blue,
  &_white {
    font-family: "regular";
    @include font-size(1.4);
    line-height: 20px;
    padding: 25px 25px 20px;
    width: 24%;
  }
  &_blue {
    background: $ocean-blue;
    color: $white;
    a {
      color: $white;
    }
  }
  &_white {
    background: $white;
    color: $text-color;
    a {
      color: $ocean-blue;
    }
  }
}

%footer-boxes-title {
  &_blue,
  &_white {
    font-family: "semibold";
    @include font-size(2);
    line-height: 20px;
  }
  &_blue {
    color: $white;
    a {
      color: $white;
    }
  }
  &_white {
    color: $text-color;
    a {
      color: $ocean-blue;
    }
  }
}

//
// Tables
// -------------------------
//
// Buttons
// -------------------------
//
// Forms
// -------------------------
//
// Dropdowns
// -------------------------
